> For the complete documentation index, see [llms.txt](https://docs.buzzy.buzz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buzzy.buzz/developing-and-extending-buzzy/buzzy-rest-api/rest-api/user-and-organization-operations/teammembers.md).

# teammembers

## POST /api/teammembers

This endpoint retrieves the members of specified teams.

### Request

#### Headers

| Header       | Value            | Description                                      |
| ------------ | ---------------- | ------------------------------------------------ |
| Content-Type | application/json | The content type of the request body.            |
| X-Auth-Token | string           | The authentication token of the requesting user. |
| X-User-Id    | string           | The ID of the requesting user.                   |

#### Body

```json
{
  "teamIDs": ["team1ID", "team2ID"]
}
```

| Parameter | Type  | Description                           |
| --------- | ----- | ------------------------------------- |
| teamIDs   | array | Array of team IDs to get members for. |

### Response

#### Success

```json
{
  "body": {
    "status": "success",
    "message": "Team members attached",
    "teamMembers": ["user1ID", "user2ID"]
  }
}
```

#### Error

```json
{
  "body": {
    "status": "error",
    "message": "Null team IDs"
  }
}
```
